#[macro_export]
macro_rules! either {
    ($test:expr => $true_expr:expr; $false_expr:expr) => {
        if $test {
            $true_expr
        } else {
            $false_expr
        }
    };
}

#[macro_export]
macro_rules! lkt_command_from_str {
    ($lit:literal) => {
        concat!($lit, '\n').to_owned()
    };
}

#[macro_export]
macro_rules! then_some {
    ($cond: expr => $some: expr) => {
        if $cond {
            Some($some)
        } else {
            None
        }
    };
}
